---
title: RTCIceTransport.role
slug: Web/API/RTCIceTransport/role
tags:
  - API
  - Audio
  - Candidates
  - ICE
  - Media
  - Negotiation
  - Property
  - RTCIceTransport
  - Read-only
  - Reference
  - Rôle
  - Video
  - WebRTC
  - WebRTC API
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("RTCIceTransport")}}</strong> property <code><strong>role</strong></code> indicates which {{Glossary("ICE")}} role the transport is fulfilling: that of the controlling agent, or the agent that is being controlled.</span></p>

<p>You can learn more about ICE roles in {{SectionOnPage("/en-US/docs/Web/API/WebRTC_API/Connectivity", "Choosing a candidate pair")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>iceRole</em> = <em>RTCIceTransport</em>.role;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying whether the {{domxref("RTCIceTransport")}} represents the controlling agent or the controlled agent. The value must be one of those found in the enumerated type {{domxref("RTCIceRole")}}:</p>

<p>{{page("/en-US/docs/Web/API/RTCIceRole", "Values")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-icetransport-role', 'RTCIceTransport.role')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceTransport.role")}}</p>
</div>
